Light Logo
Variables

Update a variable

Update a variable by its name.

PATCH
/variables/{variable_name}
AuthorizationBearer <token>

In: header

Path Parameters

variable_nameVariable Name

The name of the variable to update.

key?Key

The new key of the variable.

Length1 <= length
value?Value

The new value of the variable.

Length1 <= length

Response Body

curl -X PATCH "https://api.wrift.ai/v1/variables/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "name": "string",
  "key": "string",
  "value": "string",
  "secret": true,
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}